## plymouth 0.8.4

=== debian/changelog ===
plymouth (0.8.4-0ubuntu3) quantal; urgency=low

  * Drop kubuntu-text, moved to kubuntu-default-settings (LP: #1005512)
  * Refresh autoreconf.patch to pick up the removal of the above theme.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Aug 2012 01:41:26 -0600

plymouth (0.8.4-0ubuntu2) quantal; urgency=low

  * debian/patches/upstream-add-generic-driver-to-drm-renderer-plugin.patch:
    - Add the generic driver to the drm render plugin, which is the only one
      supported on latest upstream, working also for omap. Not yet disabling
      the others, as they can still be used in case the generic one fails,
      which keeps plymouth safe for x86 (LP: #1018907)
  * debian/patches/update-libdrm-nouveau-library-dependency.patch:
    - Old nouveau driver is now called libdrm_nouveau1 at the latest libdrm
      package (>= 2.4.38)
  * Refresh autoreconf.patch.

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Thu, 16 Aug 2012 01:53:54 -0300

plymouth (0.8.4-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - drop patches originating from or merged upstream: debug-fixes.patch,
      gcc45-arith-workaround.patch,
      main-Don-t-watch-for-keyboard-input-if-no-keyboard.patch,
      upstart-bridge.patch, upstream-*.patch
    - debian/rules: pass --with-log-viewer to explicitly request its
      inclusion.
    - update libplymouth2.symbols.
  * debian/patches/initramfsless-boot.patch: clean up our failure path when
    /dev/pts isn't available yet:
    - don't free a buffer that we might use again later
    - once we've created the session object, keep it around, instead of
      freeing it again and leaving a dangling reference to it in the loop
      exit handler list.
    it's not clear if this was working before, but it definitely hits an
    assert now.  LP: #981314.
  * Build with --disable-libdrm_intel on !x86, to avoid an unnecessary
    dependency.  LP: #927424.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 May 2012 01:19:02 +0000
