=== debian/control ===
Source: plymouth
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.3.15ubuntu3), libpng12-dev, libcairo2-dev, libgtk2.0-dev, libpango1.0-dev, autotools-dev, libdrm-dev, libdbus-1-dev, libncursesw5-dev, dpkg-dev (>= 1.16.0~ubuntu4)
Standards-Version: 3.8.3.0
Vcs-Bzr: lp:ubuntu/plymouth

Package: plymouth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplymouth2 (= ${binary:Version}), libdrm-intel1 | libdrm-radeon1 | libdrm-nouveau1a, udev (>= 166-0ubuntu4), mountall (>= 2.0), initramfs-tools
Recommends: plymouth-theme-ubuntu-text | plymouth-theme
Conflicts: usplash
Breaks: gdm (<< 3.0.4-0ubuntu11), kdm (<< 4:4.7.1-0ubuntu3), ubuntustudio-plymouth-theme (<= 0.38), xubuntu-plymouth-theme (<< 10.04.4), lubuntu-plymouth-theme (<= 0.4), lightdm (<< 0.9.7-0ubuntu2), lxdm (<< 0.4.1-0ubuntu2)
Description: graphical boot animation and logger - main package
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.

Package: plymouth-x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplymouth2 (= ${binary:Version}), plymouth (= ${binary:Version})
Replaces: plymouth (<< 0.8.0~-9)
Description: graphical boot animation and logger - X11 interface
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the X11 renderer, which allows plymouth to interact
 with running X sessions.

Package: plymouth-label
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplymouth2 (= ${binary:Version}), plymouth (= ${binary:Version}), ttf-dejavu-core
Replaces: plymouth (<< 0.8.1-4)
Description: graphical boot animation and logger - label control
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the label control, used by various graphical themes
 to render text.

Package: libplymouth2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plymouth (<< 0.7.0+git20090207-0ubuntu0.1~ppa4)
Breaks: mountall (<< 2.8), casper (= 1.227)
Description: graphical boot animation and logger - shared libraries
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the shared libraries.

Package: libplymouth-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libplymouth2 (= ${binary:Version})
Replaces: plymouth (<< 0.7.0+git20090207-0ubuntu0.1~ppa4)
Description: graphical boot animation and logger - development files
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the development files to build Plymouth plugins.

Package: plymouth-theme-fade-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - fade-in theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the fade-in theme that features a centred logo
 which fades in and out while stars twinkle around it.
 .
 These theme may not correctly display messages from filesystem
 decryption, checking or error handling.

Package: plymouth-theme-glow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - glow theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the glow theme that features a corporate-looking
 pie chart for boot progress followed by a glowing logo once boot finishes.
 .
 These theme may not correctly display messages from filesystem
 decryption, checking or error handling.

Package: plymouth-theme-script
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - script theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the example script theme, useful for theme developers.
 .
 These theme may not correctly display messages from filesystem
 decryption, checking or error handling.

Package: plymouth-theme-solar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Description: graphical boot animation and logger - solar theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the solar theme that features a violent blue
 flaring star, and other space-like animations.
 .
 These theme may not correctly display messages from filesystem
 decryption, checking or error handling.

Package: plymouth-theme-spinfinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - spinfinity theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the spinfinity theme that features a rotating
 infinity sign beneath the logo.
 .
 These theme may not correctly display messages from filesystem
 decryption, checking or error handling.

Package: plymouth-theme-ubuntu-logo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - ubuntu-logo theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default ubuntu-logo theme.

Package: plymouth-theme-text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - text theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the text theme used when no support for a
 graphical theme is found on your system.
 .
 These theme may not correctly display messages from filesystem
 decryption, checking or error handling.

Package: plymouth-theme-ubuntu-text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - ubuntu-logo theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default ubuntu-text text theme used when no
 support for a graphical theme is found on your system.
