## plymouth 0.8.5.1

=== debian/changelog ===
plymouth (0.8.5.1-5) unstable; urgency=low

  * Adding a conflict against console-tools which is about to be removed
    from the archive and which is apparently to be incompatible with
    plymouth (Closes: #606132).
  * Adding modified patch from Luca Capello <luca@pca.it> to allow
    plymouth details plugin without plymouth-dkms (Closes: #680700,
    #680689).
  * Using 'splash' instead of 'plymouth.enable' boot parameter in
    systemd unit files, thanks to Laurent Bigonville <bigon@debian.org>
    (Closes: #680517).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 09 Jul 2012 02:10:16 +0200

plymouth (0.8.5.1-4) unstable; urgency=low

  * Correcting systemd configure option in rules (Closes: #679324).
  * Including systemd files in plymouth package.
  * Adding desktop-base and plymouth-drm to suggests for plymouth,
    recommends would have been even nicer but defeats the initial
    package split.
  * Also update initramfs for both plymouth-drm and plymouth-x11.
  * Including all available drm modules in initramfs hook rather than
    ati and intel only.
  * Explicitly enable libkms support.
  * Updating default-theme.patch to not set the theme in
    /etc/plymouthd.conf as active.
  * Correcting path for plymouth-update-initrd installation in rules.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 04 Jul 2012 17:09:37 +0200

plymouth (0.8.5.1-3) unstable; urgency=low

  * Using multiarch paths for plymouth renderer in initramfs-tools hook
    (Closes: #679687, #679938, #679971).
  * Correcting --with-boot-tty and --with-shutdown-tty configure call in
    rules with full device name (Closes: #680124).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 04 Jul 2012 00:07:16 +0200

plymouth (0.8.5.1-2) unstable; urgency=low

  * Switching to xz compression.
  * Enabling systemd support (Closes: #679324).
  * Sorting configure flags in rules.
  * Removing old dpkg trigger for update-initramfs.
  * Updating to standards version 3.9.3.
  * Updating to debhelper version 9.
  * Updating copyright file to format version 1.0.
  * Setting boot and shutdown tty to 7 (Closes: #606077).
  * Updating debhelper install files for multiarch.
  * Applying slightly modified patch from Laurent Bigonville
    <bigon@debian.org> to issue a /bin/plymouth update-root-fs --read-
    write in order to write the logfiles to the disk (Closes: #678982).
  * Simplyfing initscripts.
  * Adding conditional pre-depends on multiarch-support.
  * Sorting overrides in rules alphabetically.
  * Updating lintian overrides.
  * Adding missing dependency to remote_fs in plymouth-log initscript.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 12:44:56 +0200

plymouth (0.8.5.1-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Using compression level 9 also for binary packages.
  * Merging upstream version 0.8.5.1 (Closes: #670197):
  * Dropping parse-etc-debian_version.patch in favour of using /etc/os-
    release.
  * Dropping set-default-framebuffer-device-to-dev-fb0.patch, included
    upstream.
  * Dropping tty.patch, included upstream.
  * Rediffing stderr.patch.
  * Rediffing return-code.patch.
  * Renumbering patches.

  [ Andreas Henriksson ]
  * Using /etc/os-release from base-files 6.8 as release file.

  [ Michael Biebl ]
  * Creating pid file /run/plymouth/pid (Closes: #659438).
  * Stopping to to load non-existing modules i8042.ko and atkbd.ko
    (Closes: #659436).

  [ Andreas Henriksson ]
  * Using x-display-manager variable in LSB header of initscript
    (Closes: #669032).
  * Adding --enable-log-viewer configure flag to continue building it.
  * Add new plymouth-themes-spinner package
  * Adding patch patch to fix upstream error handling code when os-
    release is missing.
  * Including /etc/os-release in initramfs-tools hook if existing.
  * Exit early in initramfs-tools hook if the plymouth module is not
    existing (Closes: #629416).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 21 Jun 2012 12:37:05 +0200
