=== debian/control ===
Source: plymouth
Section: misc
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends:
 debhelper (>= 9), autotools-dev, libdrm-dev, libgtk2.0-dev, libpango1.0-dev,
 libpng-dev, pkg-config, dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.3
Homepage: http://www.freedesktop.org/wiki/Software/Plymouth

Package: plymouth
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools
Conflicts: console-tools
Suggests: desktop-base, plymouth-drm
Description: Graphical Boot Animation and Logger
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.

Package: plymouth-drm
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends}, ${shlibs:Depends}, plymouth (= ${binary:Version}),
 fontconfig-config, ttf-dejavu-core
Conflicts: plymouth (<< 0.8.3-10)
Replaces: plymouth
Recommends: plymouth-themes-all
Description: Graphical Boot Animation and Logger (DRM)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the DRM backend for systems supporting Kernel Mode
 Setting (KMS).

Package: plymouth-x11
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, plymouth-drm (= ${binary:Version})
Conflicts: plymouth (<< 0.8.3-10)
Replaces: plymouth
Suggests: gdm
Description: Graphical Boot Animation and Logger
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the x11 renderer and the log viewer.

Package: plymouth-dev
Architecture: linux-any
Depends:
 ${misc:Depends}, plymouth (= ${binary:Version}),
 plymouth-drm (= ${binary:Version}), plymouth-x11 (= ${binary:Version})
Description: Graphical Boot Animation and Logger (development)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the development files.

Package: plymouth-themes-all
Architecture: all
Depends:
 ${misc:Depends}, plymouth-themes-fade-in, plymouth-themes-glow,
 plymouth-themes-script, plymouth-themes-solar, plymouth-themes-spinfinity,
 plymouth-themes-spinner
Description: Graphical Boot Animation and Logger (themes metapackage)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package is a metapackage depending on all available themes.

Package: plymouth-themes-fade-in
Architecture: all
Depends: ${misc:Depends}, plymouth-drm (>= ${source:Version})
Provides: plymouth-theme
Description: Graphical Boot Animation and Logger (fade-in theme)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the fade-in theme. It features a centered logo that
 fades in and out while stars twinkle around the logo during system boot up.

Package: plymouth-themes-glow
Architecture: all
Depends: ${misc:Depends}, plymouth-drm (>= ${source:Version})
Provides: plymouth-theme
Description: Graphical Boot Animation and Logger (glow theme)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the glow theme. It features a pie chart as progress
 indicator.

Package: plymouth-themes-script
Architecture: all
Depends: ${misc:Depends}, plymouth-drm (>= ${source:Version})
Provides: plymouth-theme
Description: Graphical Boot Animation and Logger (script theme)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the script theme. It features a simple base theme.

Package: plymouth-themes-solar
Architecture: all
Depends: ${misc:Depends}, plymouth-drm (>= ${source:Version})
Provides: plymouth-theme
Description: Graphical Boot Animation and Logger (solar theme)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the solar theme. It features a blue flamed sun with
 animated solar flares.

Package: plymouth-themes-spinfinity
Architecture: all
Depends: ${misc:Depends}, plymouth-drm (>= ${source:Version})
Provides: plymouth-theme
Description: Graphical Boot Animation and Logger (spinfinity theme)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the spinfinity theme. It features a centered logo and
 animated spinner that spins in the shape of an infinity sign.

Package: plymouth-themes-spinner
Architecture: all
Depends: ${misc:Depends}, plymouth-drm (>= ${source:Version})
Provides: plymouth-theme
Description: Graphical Boot Animation and Logger (spinner theme)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the spinner theme. It features a simple theme with a
 small spinner on a dark background.
