## plymouth 0.8.8

=== debian/changelog ===
plymouth (0.8.8-14) experimental; urgency=low

  * Merging drm themes into plymouth-themes package.
  * Adding debug package.
  * Sourcing init-functions in iniscripts.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 18 Sep 2013 10:18:16 +0200

plymouth (0.8.8-13) experimental; urgency=low

  * Updating todo file.
  * Building without libkms support (Closes: #720560).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 23 Aug 2013 14:17:45 +0200

plymouth (0.8.8-12) experimental; urgency=low

  * Updating todo file.
  * Updating vcs fields.
  * Applying slightly modified patch from Sjoerd Simons
    <sjoerd@debian.org> to use dh-systemd (Closes: #719121).
  * Applying slightly modified patch from Sjoerd Simons
    <sjoerd@debian.org> to add aliases to the systemd service so they mask
    the LSB init scripts.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 12 Aug 2013 10:08:14 +0200

plymouth (0.8.8-11) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Adding patch from Ray Strode <rstrode@redhat.com> to ignore leading
    spaces and blank lines in config parser (Closes: #664187).
  * Updating lintian overrides.
  * Updating plymouth manpage symlinks.
  * Adding todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 17 Jul 2013 21:30:52 +0200

plymouth (0.8.8-10) experimental; urgency=low

  * Rebuilding initrd on removal.
  * Dropping obsolete sysvinit initscript start/stop numbers.
  * Updating plymouth call on stop for proper shutdown (Closes: #610287,
    #712543).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 17 Jun 2013 10:36:07 +0200

plymouth (0.8.8-9) experimental; urgency=low

  * Adding alternative dependency to dracut, dracut backend still needs to
    be done by someone though, patches welcome (Closes: #697432).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 04 Jun 2013 17:34:43 +0200

plymouth (0.8.8-8) experimental; urgency=low

  * Updating again initramfs inclusion of pango for jessie and newer
    (Closes: #702040, #702900, #704872).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 27 May 2013 19:12:35 +0200

plymouth (0.8.8-7) experimental; urgency=low

  * Updating initramfs inclusion of font-dejavu for jessie and newer
    (Closes: #707765).
  * Ordering fontconfig inclusion in initramfs hook.
  * Updating initramfs inclusion of pango for jessie and newer (Closes:
    #702040, #702900, #704872).
  * Adding patch from upstream to return directly when deactivated
    (Closes: #632737).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 23 May 2013 10:31:12 +0200

plymouth (0.8.8-6) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 21:25:31 +0100

plymouth (0.8.8-5) unstable; urgency=low

  * Prefixing patches with four digits.
  * Trimming diff headers in patches.
  * Adding patch to update udevadm paths for Debian based systems when
    using systemd (Closes: #701524).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 27 Feb 2013 18:00:36 +0100

plymouth (0.8.8-4) unstable; urgency=low

  * Updating year in copyright file.
  * Dropping dpkg compression levels.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 27 Jan 2013 10:13:29 +0100

plymouth (0.8.8-3) unstable; urgency=low

  * Moving /usr/lib to /lib (Closes: #695706).
  * Dropping pre-wheezy versioned build-depends on dpkg-dev.
  * Dropping pre-wheezy conflicts and replaces.
  * Updating to standards version 3.9.4.
  * Correcting spelling ov NVIDIA in readme.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 12 Dec 2012 09:54:32 +0100

plymouth (0.8.8-2) unstable; urgency=low

  * Correcting mistaken conflicts against console-tools instead of
    console-common.
  * Using lsb post functions instead of pre functions (Closes: #691794).
  * Adding dpkg-source local options.
  * Temporarily including dummy root account lookup (Closes: #691598).
  * Dropping conditional multiarch support, not needed anymore for jessie
    and wheezy backports.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Dec 2012 06:42:10 +0100

plymouth (0.8.8-1) unstable; urgency=low

  * Merging upstream version 0.8.8.
  * Rediffing default-theme.patch.
  * Updating cmdline.patch.
  * Removing os-release-quotes.patch, included upstream.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 27 Oct 2012 19:30:18 +0200

plymouth (0.8.6.1-1) unstable; urgency=low

  * Merging upstream version 0.8.6.1.
  * Removing default-osrelease.patch, included upstream.
  * Renumbering patches.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 21 Sep 2012 18:43:51 +0200

plymouth (0.8.5.1-8) unstable; urgency=low

  * Adding patch from upstream to strip quotes from /etc/os-release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 31 Aug 2012 07:44:25 +0200

plymouth (0.8.5.1-7) unstable; urgency=low

  * Abort early when sourcing /lib/lsb/init-functions.d/99-plymouth and
    plymouth isn't active (Closes: #685437).
  * Protecting multiarch queries since install files are run with set -
    e.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 21 Aug 2012 12:06:58 +0200

plymouth (0.8.5.1-6) unstable; urgency=low

  * Using --retain-splash when stopping plymouth on startup, avoids
    showing console before display manager is up, thanks to Benjamin
    Stark <benny_stark@live.de> (Closes: #683764).
  * Adding plymouth specific configuration for lsb msg functions, thanks
    to Benjamin Stark <benny_stark@live.de> (Closes: #683763).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 03 Aug 2012 18:51:33 +0200
