=== debian/control ===
Source: plymouth
Section: misc
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 debhelper (>= 9),
 dh-systemd,
 autotools-dev,
 libdrm-dev,
 libgtk2.0-dev,
 libpango1.0-dev,
 libpng-dev,
 pkg-config,
Standards-Version: 3.9.4
Homepage: http://www.freedesktop.org/wiki/Software/Plymouth
Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/plymouth.git
Vcs-Git: git://daniel-baumann.ch/git/debian/packages/plymouth.git

Package: plymouth
Architecture: linux-any
Pre-Depends: multiarch-support
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
  initramfs-tools | dracut,
Conflicts: console-common
Suggests:
 desktop-base,
 plymouth-drm,
Description: Graphical Boot Animation and Logger
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.

Package: plymouth-drm
Architecture: linux-any
Pre-Depends: multiarch-support
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 plymouth (= ${binary:Version}),
 fontconfig-config,
 ttf-dejavu-core,
Recommends: plymouth-themes
Description: Graphical Boot Animation and Logger (DRM)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the DRM backend for systems supporting Kernel Mode
 Setting (KMS).

Package: plymouth-x11
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 plymouth-drm (= ${binary:Version}),
Recommends: plymouth-themes
Suggests: gdm
Description: Graphical Boot Animation and Logger
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the x11 renderer and the log viewer.

Package: plymouth-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends:
 ${misc:Depends},
 plymouth (= ${binary:Version}),
 plymouth-drm (= ${binary:Version}),
 plymouth-x11 (= ${binary:Version}),
 plymouth-dev (= ${binary:Version}),
 plymouth-themes (>= ${source:Version}),
Description: Graphical Boot Animation and Logger (debug)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the debuging symbols.

Package: plymouth-dev
Architecture: linux-any
Depends:
 ${misc:Depends},
 plymouth (= ${binary:Version}),
 plymouth-drm (= ${binary:Version}),
 plymouth-x11 (= ${binary:Version}),
Description: Graphical Boot Animation and Logger (development)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the development files.

Package: plymouth-themes
Architecture: all
Depends: ${misc:Depends}
Conflicts:
 plymouth-themes-all,
 plymouth-themes-fade-in,
 plymouth-themes-glow,
 plymouth-themes-script,
 plymouth-themes-solar,
 plymouth-themes-spinfinity,
 plymouth-themes-spinner,
Replaces:
 plymouth-themes-all,
 plymouth-themes-fade-in,
 plymouth-themes-glow,
 plymouth-themes-script,
 plymouth-themes-solar,
 plymouth-themes-spinfinity,
 plymouth-themes-spinner,
Provides:
 plymouth-theme,
 plymouth-themes-all,
 plymouth-themes-fade-in,
 plymouth-themes-glow,
 plymouth-themes-script,
 plymouth-themes-solar,
 plymouth-themes-spinfinity,
 plymouth-themes-spinner,
Description: Graphical Boot Animation and Logger (themes)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package is the themes:
 .
  * fade-in: features a centered logo that fades in and out while stars twinkle
    around the logo during system boot up.
  * glow: features a pie chart as progress indicator.
  * script: features a simple base theme.
  * solar: features a blue flamed sun with animated solar flares.
  * spinfinity: features a centered logo and animated spinner that spins in the
    shape of an infinity sign.
  * spinner: features a simple theme with a small spinner on a dark background.
