=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh ${@}
+	dh ${@} --with systemd
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -16,9 +16,9 @@
 
 	dh_auto_configure -- \
 		--prefix=/usr --localstatedir=/var \
-		--enable-libkms --enable-pango \
-		--enable-systemd-integration --enable-tracing \
-		--disable-gdm-transition --disable-tests \
+		--enable-pango --enable-systemd-integration \
+		--enable-tracing --disable-gdm-transition \
+		--disable-libkms --disable-tests \
 		--with-background-color=0x005a8a \
 		--with-gdm-autostart-file \
 		--with-log-viewer \
@@ -30,14 +30,7 @@
 		--with-shutdown-tty=/dev/tty7
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
-
-override_dh_gencontrol:
-ifeq ($(DEB_HOST_MULTIARCH),)
-	dh_gencontrol
-else
-	dh_gencontrol -- -Vmisc:Pre-Depends="multiarch-support"
-endif
+	dh_builddeb -- -Zxz
 
 override_dh_install:
 	# Removing useless files
@@ -45,6 +38,9 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/plymouth/*.la
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/plymouth/*/*.la
+
+	# Moving /usr/lib to /lib
+	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.* debian/tmp/lib/$(DEB_HOST_MULTIARCH)
 
 	dh_install --fail-missing
 
@@ -57,11 +53,27 @@
 	# Adding other debian specific files
 	install -D -m 0644 debian/local/debian-logo.png debian/plymouth/usr/share/plymouth/debian-logo.png
 	install -D -m 0755 debian/local/plymouth-update-initrd debian/plymouth/usr/lib/$(DEB_HOST_MULTIARCH)/plymouth/plymouth-update-initrd
+	install -D -m 0644 debian/local/plymouth.lsb debian/plymouth/lib/lsb/init-functions.d/99-plymouth
+
+override_dh_systemd_start:
+	dh_systemd_start --no-start
 
 override_dh_installinit:
-	dh_installinit --no-start -- start 21 2 3 4 5 . stop 02 0 6 .
-	dh_installinit --no-start --name=plymouth-log -- start 37 S .
+	dh_installinit --no-start -- start . 2 3 4 5 . stop . 0 6 .
+	dh_installinit --no-start --name=plymouth-log -- start . S .
+
+override_dh_link:
+	# correcting symlink targets
+	for LIB in debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.so; \
+	do \
+		dh_link -pplymouth-dev lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink $${LIB})) usr/lib/$(DEB_HOST_MULTIARCH)/$$(basename $${LIB}); \
+	done
+
+	dh_link --remaining-packages
 
 override_dh_makeshlibs:
 	dh_makeshlibs -p plymouth
 	dh_makeshlibs -p plymouth-drm
+
+override_dh_strip:
+	dh_strip --dbg-package=plymouth-dbg
